# $Revision: 1.15 $, $Date: 2007-02-12 22:09:15 $
Summary:	ALCATEL SpeedTouch USB ADSL modem user-space driver
Summary(pl.UTF-8):	Sterownik przestrzeni użytkownika dla modemów ADSL ALCATEL SpeedTouch na USB
Name:		speedtouch
Version:	1.3.1
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/speedtouch/%{name}-%{version}.tar.bz2
# Source0-md5:	0848a120ae0eeab6c8ab378e11dc4fa2
Patch0:		%{name}-do_not_strip_g.patch
URL:		http://speedtouch.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	sed >= 4.0
Requires:	ppp-plugin-pppoatm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ALCATEL SpeedTouch USB ADSL modem user-space driver. This package
contains all the necessary software to use your SpeedTouch USB modem
under Linux. It currently support only PPPoA encapsulation. It
contains also modem_run utility necessary to load modem firmware when
using kernel mode drivers (speedtch and pppoatm).

Note: modem_run needs file with modem firmware from Alcatel (mgmt.o,
alcaudsl.sys or firmware.bin).

%description -l pl.UTF-8
Działający w przestrzeni użytkownika sterownik dla modemów ADSL
ALCATEL SpeedTouch podłączanych przez port USB. Ten pakiet zawiera
całe oprogramowanie potrzebne do używania modemu SpeedTouch USB pod
Linuksem. Aktualnie obsługuje tylko opakowanie PPPoA. Zawiera także
narzędzie modem_run niezbędne do wczytywania firmware modemu w
przypadku używania sterowników w przestrzeni jądra (speedtch i
pppoatm).

Uwaga: modem_run potrzebuje pliku z firmware modemu od Alcatela
(mgmt.o, alcaudsl.sys lub firmware.bin).

%prep
%setup -q
%patch0 -p0
sed -i 's/static int verbose/int verbose/' src/modem_run.c

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure \
	--enable-syslog \
	--enable-install=`id -nu`

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%doc doc-linux/{BUGS,FAQ,HDLC_BUG,pppoax-doc-en.txt,results.txt,howto/SpeedTouch-HOWTO-en.html}
%lang(de) %doc doc-linux/howto/SpeedTouch-HOWTO-de.html
%lang(es) %doc doc-linux/howto/SpeedTouch-HOWTO-es.html
%lang(fr) %doc doc-linux/howto/SpeedTouch-HOWTO-fr.html
%lang(it) %doc doc-linux/howto/SpeedTouch-HOWTO-it.html
%lang(nl) %doc doc-linux/howto/SpeedTouch-HOWTO-nl.html
%attr(755,root,root) %{_sbindir}/modem_run
%attr(755,root,root) %{_sbindir}/pppoa2
%attr(755,root,root) %{_sbindir}/pppoa3
%{_datadir}/speedtouch
%{_mandir}/man8/modem_run.8*
%{_mandir}/man8/pppoa2.8*
%{_mandir}/man8/pppoa3.8*
# don't include speedtouch-{setup,start,stop} and hotplug* in current state,
# they are ugly (only for 2.4.x + user-space, incompatible with rc-scripts
# and not aware of our modutils etc.)

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: speedtouch.spec,v $
Revision 1.15  2007-02-12 22:09:15  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.13  2005/09/18 15:36:29  megabajt
- unify sf URL
- BR: sed >= 4.0

Revision 1.12  2005/06/05 20:47:37  areq
- gcc4 fix
  sed -i 's/static int verbose/int verbose/' src/modem_run.c

Revision 1.11  2005/01/12 11:11:39  qboosh
- linux-atm is already required by ppp-plugin-pppoatm
  (note that ppp plugin is required only for kernel mode support)

Revision 1.10  2005/01/12 08:14:11  tiwek
- missing Req.

Revision 1.9  2004/10/19 21:06:15  qboosh
- updated to 1.3.1

Revision 1.8  2004/10/10 19:38:58  paladine
- added missing BR: autoconf

Revision 1.7  2004/07/08 18:53:52  radek
- added -do_not_strip_g.patch for configure.in to avoid stripping
  -g from -ggdb and %__autoconf macro in %build

Revision 1.6  2004/07/03 10:38:28  qboosh
- updated to 1.3

Revision 1.5  2004/06/19 19:15:30  qboosh
- updated to final 1.2

Revision 1.4  2004/02/08 16:03:53  qboosh
- release 2

Revision 1.3  2004/02/08 14:33:14  qboosh
- refresh config.sub (for amd64)

Revision 1.2  2003/12/22 19:51:41  qboosh
- updated to 1.2-beta3

Revision 1.1  2003/10/19 02:40:53  qboosh
- new; note: userspace driver works with 2.4.21, but not 2.6.0-test[78]
  kernel-space driver works with 2.6.0-test8
